
_Interrupt:

;UsbHid.mpas,8 :: 		begin
;UsbHid.mpas,9 :: 		USB_Interrupt_Proc();
	CALL        _USB_Interrupt_Proc+0, 0
;UsbHid.mpas,10 :: 		end;
L__Interrupt18:
	RETFIE      1
; end of _Interrupt

_init:

;UsbHid.mpas,13 :: 		begin
;UsbHid.mpas,14 :: 		TRISB := 0xFF;
	MOVLW       255
	MOVWF       TRISB+0 
;UsbHid.mpas,15 :: 		PORTB := 0x00;
	CLRF        PORTB+0 
;UsbHid.mpas,16 :: 		LATB:= 0x00;
	CLRF        LATB+0 
;UsbHid.mpas,17 :: 		CMCON := 0x07;
	MOVLW       7
	MOVWF       CMCON+0 
;UsbHid.mpas,18 :: 		ADON_bit := 0;
	BCF         ADON_bit+0, 0 
;UsbHid.mpas,19 :: 		PCFG0_bit := 1;
	BSF         PCFG0_bit+0, 0 
;UsbHid.mpas,20 :: 		PCFG1_bit := 1;
	BSF         PCFG1_bit+0, 1 
;UsbHid.mpas,21 :: 		PCFG2_bit := 1;
	BSF         PCFG2_bit+0, 2 
;UsbHid.mpas,22 :: 		PCFG3_bit := 1;
	BSF         PCFG3_bit+0, 3 
;UsbHid.mpas,23 :: 		HID_Enable(@readbuff,@writebuff);
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;UsbHid.mpas,24 :: 		end;
	RETURN      0
; end of _init

_main:

;UsbHid.mpas,26 :: 		begin
;UsbHid.mpas,27 :: 		init();
	CALL        _init+0, 0
;UsbHid.mpas,28 :: 		while true do
L__main4:
;UsbHid.mpas,32 :: 		for cnt := 0 to 63 do
	CLRF        _cnt+0 
L__main9:
;UsbHid.mpas,35 :: 		writebuff[cnt] := PORTB; // Lecture du PORT (ici il sagit du PORTB)
	MOVLW       _writebuff+0
	MOVWF       FSR1L 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR1L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        PORTB+0, 0 
	MOVWF       POSTINC1+0 
;UsbHid.mpas,36 :: 		while(HID_Write(@writebuff,64) = 0) do ;
L__main14:
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__main14
;UsbHid.mpas,37 :: 		end;
	MOVF        _cnt+0, 0 
	XORLW       63
	BTFSC       STATUS+0, 2 
	GOTO        L__main12
	INCF        _cnt+0, 1 
	GOTO        L__main9
L__main12:
;UsbHid.mpas,39 :: 		end;
	GOTO        L__main4
;UsbHid.mpas,41 :: 		end.
	GOTO        $+0
; end of _main
